//see "Visits.js" file to obtain the grid parameters' configuration

var itArrayGridCartridges=[["ID","ID","N","5%","#EEEEE9","#FFFFFF","Ordina per l\\\' ID della cartuccia","RIGHT"],
                           ["Codice","Code","S","15%","#EEEEE9","#FFFFFF","Ordina per il codice della cartuccia"],
                           ["Stampante di riferimento","Description","S","30%","#EEEEE9","#FFFFFF","Ordina per il nome della stampante"],
                           ["Riusabile","Reusable","B","5%","#EEEEE9","#FFFFFF","Ordina per la possibilt di riuso"],
                           ["Prezzo nuova","PriceNewFor","N","12%","#EEEEE9","#FFFFFF","Ordina per il prezzo della cartuccia nuova","RIGHT"],
                           ["Prezzo rigenerata","PriceOldFor","N","15%","#EEEEE9","#FFFFFF","Ordina per il prezzo della cartuccia rigenerata","RIGHT"],
                           ["Data emissione","DateIssue","D","18%","#EEEEE9","#FFFFFF","Ordina per la data di emissione","CENTER"]];

var enArrayGridCartridges=CopyArray(itArrayGridCartridges);
enArrayGridCartridges[0][6]="Order by cartridge\\\'s ID";
enArrayGridCartridges[1][0]="Code";
enArrayGridCartridges[1][6]="Order by cartridge\\\'s code";
enArrayGridCartridges[2][0]="Datum printer";
enArrayGridCartridges[2][6]="Order by printer\\\'s name"; 
enArrayGridCartridges[3][0]="Reuseable";
enArrayGridCartridges[3][6]="Order by reuse\\\'s possibility";
enArrayGridCartridges[4][0]="Price new";
enArrayGridCartridges[4][6]="Order by new cartridge\\\'s price";
enArrayGridCartridges[5][0]="Price old";
enArrayGridCartridges[5][6]="Order by regenerated cartridge\\\'s price";
enArrayGridCartridges[6][0]="Issue date";
enArrayGridCartridges[6][6]="Order by issue date";

function Cartridges_init() {
	params=new Object();
	params.name="Cartridges";
	params.width="148%";
	params.rowOverBgColor="#C1FFC9";
	params.rowMarkBgColor="#336699";
	params.headerFontStyle="font-size:7pt;";
	params.gridFontStyle="font-size:7pt;";
	params.ArrayGrid=eval(GetLang()+"ArrayGridCartridges");
	params.ArrayFilter=[["ID","N"],["Code","S"],["Description","S"],["Reusable","B"],["PriceNew","N"],["PriceOld","N"],["DateIssue","D"]];
	params.ArraySort=[["ID","ID"],["Code","Code"],["Description","Description"],["Reusable","Reusable"],["PriceNew","PriceNew"],["PriceOldOrd","PriceOld"],["DateIssue","DateIssue"]];
	//params.serverSide="PHP";
	if (params.serverSide)
		params.firstSort="A2";
	else
		params.firstSort="+Description";
	params.OnMouseOverSpan=OnMouseOverSpan;
	params.recPageSize=8;
	params.visible=false;

	Cartridges=new Grid(params);
}

function OnMouseOverSpan(ele) {
	if (ele.dataFld=="PriceNewFor" || ele.dataFld=="PriceOldFor")
		ele.title=CalculateLira(ele.innerText);
}

Cartridges_init();