//see "Visits.js" file to obtain the grid parameters' configuration

var itArrayGridProducts=[["ID","IDProduct","N","50px","RoyalBlue","#FFFFFF","Ordina per l\\\' ID del prodotto","CENTER"],
                         ["Nome prodotto","ProductName","S","250px","RoyalBlue","#FFFFFF","Ordina per il nome del prodotto"],
                         ["Fornitore","Provider","S","270px","RoyalBlue","#FFFFFF","Ordina per il fornitore"],
                         ["Categoria","Category","S","200px","RoyalBlue","#FFFFFF","Ordina per la categoria"],
                         ["Q.t per unit","UnitQuantity","S","200px","RoyalBlue","#FFFFFF","Ordina per la quantit per unit"],
                         ["Prezzo in .","UnitPrice","N","120px","RoyalBlue","#FFFFFF","Ordina per il prezzo unitario","CENTER"],
                         ["Scorte","Stores","N","50px","RoyalBlue","#FFFFFF","Ordina per le Stores","CENTER"],
                         ["Q.t ordinata","OrderedQuantity","N","120px","RoyalBlue","#FFFFFF","Ordina per la quantit ordinata","CENTER"],
                         ["Liv. di riordino","ReorderLevel","N","130px","RoyalBlue","#FFFFFF","Ordina per il livello di riordino","CENTER"],
                         ["Sospeso","Suspended","B","50px","RoyalBlue","#FFFFFF","Ordina per il valore di Suspended"]];

var enArrayGridProducts=CopyArray(itArrayGridProducts);
enArrayGridProducts[0][6]="Order by product\\\'s ID";
enArrayGridProducts[1][0]="Product\'s name";
enArrayGridProducts[1][6]="Order by the product\\\'s name";
enArrayGridProducts[2][0]="Provider";
enArrayGridProducts[2][6]="Order by provider";
enArrayGridProducts[3][0]="Category";
enArrayGridProducts[3][6]="Order by category";
enArrayGridProducts[4][0]="Unity\'s qnt.";
enArrayGridProducts[4][6]="Order by unity\\\'s quantity";
enArrayGridProducts[5][0]="Price in .";
enArrayGridProducts[5][6]="Order by price";
enArrayGridProducts[6][0]="Stores";
enArrayGridProducts[6][6]="Order by store\\\'s value";
enArrayGridProducts[7][0]="Ordered qnt.";
enArrayGridProducts[7][6]="Order by ordered quantity";
enArrayGridProducts[8][0]="Reordering level";
enArrayGridProducts[8][6]="Order by reordering level";
enArrayGridProducts[9][0]="Pending";
enArrayGridProducts[9][6]="Order by pending\\\'s state";

function Products_init() {
	params=new Object();
	params.name="Products";
	params.width="1440px";
	params.rowOverBgColor="#FFFFCC";
	params.rowMarkBgColor="#CC3333";
	params.gridAttrib="RULES=ROWS";
	params.headerFontAttrib="COLOR=White FACE=Tahoma";
	params.headerFontStyle="font-size:7pt;";
	params.gridFontAttrib="FACE=Tahoma";
	params.gridFontStyle="font-size:7pt;";
	params.filterBgColor="#D8EBEB"
	params.visible=false;
	params.ArrayGrid=eval(GetLang()+"ArrayGridProducts");
	params.ArrayFilter=[["IDProduct","N"],["ProductName","S"],
                        ["Provider","S"],["Category","S"],
                        ["UnitQuantity","S"],["UnitPrice","N"],
                        ["Stores","N"],["OrderedQuantity","N"],
                        ["ReorderLevel","N"],["Suspended","B"]];
	params.ArraySort=[["IDProduct","IDProduct"],["ProductName","ProductName"],
                      ["Provider","Provider"],["Category","Category"],
                      ["UnitQuantity","UnitQuantity"],["UnitPrice","UnitPrice"],
                      ["Stores","Stores"],["OrderedQuantity","OrderedQuantity"],
                      ["ReorderLevel","ReorderLevel"],["Suspended","Suspended"]];
	params.OnMouseOverSpan=OnMouseOverSpan;
	params.recPageSize=9;
	params.buttonSize=16;
	params.textQualifier='"';
	//params.serverSide="PHP";
	if (params.serverSide) {
		params.firstSort="A0";
		params.ArrayGrid[5][1]="UnitPriceFor";
	} else
		params.firstSort="+IDProduct";

	Products=new Grid(params);
}

function OnMouseOverSpan(ele) {
	if (ele.dataFld=="UnitPrice")
		ele.title=CalculateEuro(ele.innerText);
	else if (ele.dataFld=="UnitPriceFor")
		ele.title=CalculateEuro(ele.innerText.replace(".",""));
}

Products_init();