DROP TABLE IF EXISTS Smiles;

CREATE TABLE Smiles (
  id int(10) NOT NULL auto_increment,
  code varchar(50) default NULL,
  smile_url varchar(100) default NULL,
  emotion varchar(75) default NULL,
  active tinyint(2) default '0',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id)
);

INSERT INTO Smiles VALUES (1,':D','icon_biggrin.gif','Very Happy',0,'2003-05-23 11:14:00');
INSERT INTO Smiles VALUES (2,':-D','icon_biggrin.gif','Very Happy',1,'2003-05-23 11:16:00');
INSERT INTO Smiles VALUES (3,':grin:','icon_biggrin.gif','Very Happy',0,'2003-05-23 11:14:00');
INSERT INTO Smiles VALUES (4,':)','icon_smile.gif','Smile',0,'2003-05-23 11:14:00');
INSERT INTO Smiles VALUES (5,':-)','icon_smile.gif','Smile',1,'2003-06-01 11:00:00');
INSERT INTO Smiles VALUES (6,':smile:','icon_smile.gif','Smile',0,'');
INSERT INTO Smiles VALUES (7,':(','icon_frown.gif','Sad',0,'');
INSERT INTO Smiles VALUES (8,':-(','icon_frown.gif','Sad',1,'2003-06-04 11:00:20');
INSERT INTO Smiles VALUES (9,':sad:','icon_frown.gif','Sad',0,'2003-06-04 15:30:00');
INSERT INTO Smiles VALUES (10,':o','icon_eek.gif','Surprised',0,'2003-06-04 19:00:00');
INSERT INTO Smiles VALUES (11,':-o','icon_eek.gif','Surprised',1,'2003-06-05 9:30:00');
INSERT INTO Smiles VALUES (12,':eek:','icon_eek.gif','Suprised',0,'2003-06-05 11:00:00');
INSERT INTO Smiles VALUES (13,':-?','icon_confused.gif','Confused',1,'2003-06-05 15:15:00');
INSERT INTO Smiles VALUES (14,':???:','icon_confused.gif','Confused',0,'2003-06-05 18:30:50');
INSERT INTO Smiles VALUES (15,'8)','icon_cool.gif','Cool',0,'2003-06-07 11:00:00');
INSERT INTO Smiles VALUES (16,'8-)','icon_cool.gif','Cool',1,'2003-06-07 20:00:40');
INSERT INTO Smiles VALUES (17,':cool:','icon_cool.gif','Cool',0,'2003-06-08 9:00:35');
INSERT INTO Smiles VALUES (18,':lol:','icon_lol.gif','Laughing',1,'2003-07-01 11:00:00');
INSERT INTO Smiles VALUES (19,':x','icon_mad.gif','Mad',0,'2003-08-01 11:00:00');
INSERT INTO Smiles VALUES (20,':-x','icon_mad.gif','Mad',1,'2003-09-10 9:30:00');
INSERT INTO Smiles VALUES (21,':mad:','icon_mad.gif','Mad',0,'2003-10-01 11:00:00');
INSERT INTO Smiles VALUES (22,':P','icon_razz.gif','Razz',0,'2003-11-01 15:45:35');
INSERT INTO Smiles VALUES (23,':-P','icon_razz.gif','Razz',1,'2003-12-30 16:15:10');
INSERT INTO Smiles VALUES (24,':razz:','icon_razz.gif','Razz',0,'2004-03-27 8:30:43');
INSERT INTO Smiles VALUES (25,':oops:','icon_redface.gif','Embaressed',1,'2004-04-01 10:11:00');
INSERT INTO Smiles VALUES (26,':cry:','icon_cry.gif','Crying (very sad)',1,'2004-05-16 14:50:31');
INSERT INTO Smiles VALUES (27,':evil:','icon_evil.gif','Evil or Very Mad',1,'2004-06-30 12:05:06');
INSERT INTO Smiles VALUES (28,':roll:','icon_rolleyes.gif','Rolling Eyes',1,'2004-08-14 11:00:00');
INSERT INTO Smiles VALUES (29,':wink:','icon_wink.gif','Wink',0,'2004-09-03 14:20:30');
INSERT INTO Smiles VALUES (30,';)','icon_wink.gif','Wink',0,'2004-10-15 16:04:03');
INSERT INTO Smiles VALUES (31,';-)','icon_wink.gif','Wink',1,'2004-11-15 9:00:02');
